import java.util.*;
public class InnerTester {
  public static void main(String[] args) {

    //方式一：使用匿名内部类  
    new Thread(new Runnable() {  
      public void run() {  
         System.out.println("Hello world !");  
      }  
    }).start();  
    
    //方式二：使用Lambda表达式
    new Thread(()-> System.out.println("Hello world !")).start();  

    //方式三：使用Lambda表达式
    Runnable race = () -> System.out.println("Hello world !");  
    new Thread(race).start();  
  }
}

/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
